<template>
  <div class="project-section action-section">
    <div class="container-fluid">
      <div class="row">
        <div class="col-9 offset-3 col-xl-6 offset-xl-3">
          <button class="button float-right" @click="deleteProjectConfirmation">
            <i class="fas fa-trash"></i>Delete Project
          </button>
          <button class="button float-right" @click="updateProject">
            <i class="fas fa-cog"></i>Project Settings
          </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import UpdateProject from "../../../components/modals/UpdateProject";

export default {
  props: {
    project: {
      required: true
    }
  },
  methods: {
    deleteProject() {
      this.$apiService.deleteProject(this.project.id).then(() => {
        this.$toasters["main"].success("Project deleted");
        this.$modal.hide("dialog");
        this.$router.push({ name: "Projects" });
      });
    },
    updateProject() {
      this.$modal.show(UpdateProject, {
        project: this.project
      });
    },
    deleteProjectConfirmation() {
      this.$modal.show("dialog", {
        title: "Delete Project",
        text: "Are you sure you want to delete this project?",
        buttons: [
          {
            title: "Delete",
            default: true,
            handler: () => this.deleteProject()
          },
          {
            title: "Cancel"
          }
        ]
      });
    }
  }
};
</script>

<style lang="scss">
.action-section {
  border-bottom: 1px solid #dbdbdb;
  padding-top: 20px;
  padding-bottom: 20px;
}
#app {
  &.darkMode {
    .action-section {
      border-bottom-color: #3e4756;
    }
  }
}
</style>
